clear; clc;

load resultsDistance.mat

numPass = bsxfun(@rdivide,numPass,max(numPass,[],2));

subplot(1,2,1);
plot(distance,numPass','-o')
legend('test image 1','test image 2','test image 3','test image 4','test image 5'); box off;
xlabel('Distance (inches)');
ylabel('RANSAC matches with reference');
set(gca,'XTick',distance); grid on;

subplot(1,2,2);
errorbar(distance,mean(numPass),std(numPass)./sqrt(size(numPass,1)));
box off;
xlabel('Distance (inches)');
ylabel('RANSAC matches with reference');
set(gca,'XTick',distance); grid on