clear; clc;

longdim = 400;

dirname = 'Query';
fn = dir(['./labels' dirname '/*.jpg']);
for i = 1:length(fn)
    img = imread(['./labels' dirname '/' fn(i).name]);
    [h,w,~] = size(img);
    
    if h > w
        img2 = imresize(img, [longdim longdim*w/h], 'bicubic');
    else
        img2 = imresize(img, [longdim*h/w longdim], 'bicubic');
    end
    imwrite(img2,['./labels' dirname '_norm/' fn(i).name]);
end

dirname = 'DB';
fn = dir(['./labels' dirname '/*.jpg']);
for i = 1:length(fn)
    img = imread(['./labels' dirname '/' fn(i).name]);
    [h,w,~] = size(img);
    
    if h > w
        img2 = imresize(img, [longdim longdim*w/h], 'bicubic');
    else
        img2 = imresize(img, [longdim*h/w longdim], 'bicubic');
    end
    imwrite(img2,['./labels' dirname '_norm/' fn(i).name]);
end