clear; clc; close all

load resultsMR.mat

for testNum = 1:length(matchIdx);
    
    imgQ = imread(sprintf('./labelsQuery_norm/test%.2d.jpg',testNum));
    [featQ.f,featQ.d] = vl_sift(single(rgb2gray(imgQ)));
    
    imgMatch = imread(sprintf('./labelsDB_norm/%.2d.jpg',matchIdx(testNum)));
    [featMatch.f,featMatch.d] = vl_sift(single(rgb2gray(imgMatch)));
    
    
    sQ = size(imgQ); sM = size(imgMatch);
    scale = sM(1)/sQ(1);
    sift_match_scale(imgQ,imgMatch,scale,featQ,featMatch);
%    print(sprintf('./figs/%.2d.eps',testNum),'-depsc');
    print(sprintf('./figs/%.2d.jpg',testNum),'-djpeg');

end