clear; clc;
% run('./vlfeat-0.9.20/toolbox/vl_setup')

norm = '/';

distance = 6:6:60;
numPass = zeros(3,length(distance));
for imgNum = 5%1:5
    
    imgDB = imread(sprintf('./distance/label%d.jpg',imgNum));
    [featDB.f,featDB.d] = vl_sift(single(rgb2gray(imgDB)));
    
    for i = 1:length(distance)
        imgQ = imread(sprintf('./distance/%stest%d/%d.JPG',norm,imgNum,distance(i)));
        imgQ = imrotate(imgQ,-90);
        [Qf,Qd] = vl_sift(single(rgb2gray(imgQ)));
        matchresult = sift_match_noPlot(Qf,Qd,featDB);
        if isempty(matchresult)
            numPass(imgNum,i) = 0;
        else
            numPass(imgNum,i) = matchresult.ransac;
        end
        
        fprintf('Finished query %d of set %d\n',i,imgNum);
    end
end

save('resultsDistance.mat','distance','numPass');